- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Typedefs | Enumerations | Functions
Photocam

## Macros
#define | elm_obj_photocam_file_set(file, ret) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_FILE_SET), EO_TYPECHECK(const char *, file), EO_TYPECHECK(Evas_Load_Error *, ret)
| Set the photo file to be shown. More...
#define | elm_obj_photocam_file_get(ret) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_FILE_GET), EO_TYPECHECK(const char **, ret)
| Returns the path of the current image file. More...
#define | elm_obj_photocam_zoom_set(zoom) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_ZOOM_SET), EO_TYPECHECK(double, zoom)
| Set the zoom level of the photo. More...
#define | elm_obj_photocam_zoom_get(ret) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_ZOOM_GET), EO_TYPECHECK(double *, ret)
| Get the zoom level of the photo. More...
#define | elm_obj_photocam_zoom_mode_set(mode) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_ZOOM_MODE_SET), EO_TYPECHECK(Elm_Photocam_Zoom_Mode, mode)
| Set the zoom mode. More...
#define | elm_obj_photocam_zoom_mode_get(ret) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_ZOOM_MODE_GET), EO_TYPECHECK(Elm_Photocam_Zoom_Mode *, ret)
| Get the zoom mode. More...
#define | elm_obj_photocam_image_size_get(w, h) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_IMAGE_SIZE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)
| Get the current image pixel width and height. More...
#define | elm_obj_photocam_image_region_get(x, y, w, h) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_IMAGE_REGION_GET), EO_TYPECHECK(int *, x), EO_TYPECHECK(int *, y), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)
| Get the region of the image that is currently shown. More...
#define | elm_obj_photocam_image_region_show(x, y, w, h) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_IMAGE_REGION_SHOW), EO_TYPECHECK(int, x), EO_TYPECHECK(int, y), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)
| Set the viewed region of the image. More...
#define | elm_obj_photocam_paused_set(paused) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_PAUSED_SET), EO_TYPECHECK(Eina_Bool, paused)
| Set the paused state for photocam. More...
#define | elm_obj_photocam_paused_get(ret) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_PAUSED_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Get the paused state for photocam. More...
#define | elm_obj_photocam_internal_image_get(ret) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_INTERNAL_IMAGE_GET), EO_TYPECHECK(Evas_Object **, ret)
| Get the internal low-res image used for photocam. More...
#define | elm_obj_photocam_gesture_enabled_set(gesture) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_GESTURE_ENABLED_SET), EO_TYPECHECK(Eina_Bool, gesture)
| Set the gesture state for photocam. More...
#define | elm_obj_photocam_gesture_enabled_get(ret) ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_GESTURE_ENABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Get the gesture state for photocam. More...

## Typedefs
typedef struct _Elm_Photocam_Progress | Elm_Photocam_Progress
| Structure associated with smart callback 'download,progress'. More...
typedef struct _Elm_Photocam_Error | Elm_Photocam_Error
| Structre associated with smart callback 'download,error'. More...

## Enumerations
enum | Elm_Photocam_Zoom_Mode { ELM_PHOTOCAM_ZOOM_MODE_MANUAL = 0, ELM_PHOTOCAM_ZOOM_MODE_AUTO_FIT, ELM_PHOTOCAM_ZOOM_MODE_AUTO_FILL, ELM_PHOTOCAM_ZOOM_MODE_AUTO_FIT_IN }
| Types of zoom available. More...

## Functions
EINA_DEPRECATED void | elm_photocam_bounce_set (Evas_Object *obj, Eina_Bool h_bounce, Eina_Bool v_bounce)
| Set the photocam scrolling bouncing. More...
EINA_DEPRECATED void | elm_photocam_bounce_get (const Evas_Object *obj, Eina_Bool *h_bounce, Eina_Bool *v_bounce)
| Get the photocam scrolling bouncing. More...
Evas_Object * | elm_photocam_add (Evas_Object *parent)
| Add a new Photocam object. More...
Evas_Load_Error | elm_photocam_file_set (Evas_Object *obj, const char *file)
| Set the photo file to be shown. More...
const char * | elm_photocam_file_get (const Evas_Object *obj)
| Returns the path of the current image file. More...
void | elm_photocam_zoom_set (Evas_Object *obj, double zoom)
| Set the zoom level of the photo. More...
double | elm_photocam_zoom_get (const Evas_Object *obj)
| Get the zoom level of the photo. More...
void | elm_photocam_zoom_mode_set (Evas_Object *obj, Elm_Photocam_Zoom_Mode mode)
| Set the zoom mode. More...
Elm_Photocam_Zoom_Mode | elm_photocam_zoom_mode_get (const Evas_Object *obj)
| Get the zoom mode. More...
void | elm_photocam_image_size_get (const Evas_Object *obj, int *w, int *h)
| Get the current image pixel width and height. More...
void | elm_photocam_image_region_get (const Evas_Object *obj, int *x, int *y, int *w, int *h)
| Get the region of the image that is currently shown. More...
void | elm_photocam_image_region_show (Evas_Object *obj, int x, int y, int w, int h)
| Set the viewed region of the image. More...
void | elm_photocam_image_region_bring_in (Evas_Object *obj, int x, int y, int w, int h)
| Bring in the viewed portion of the image. More...
void | elm_photocam_paused_set (Evas_Object *obj, Eina_Bool paused)
| Set the paused state for photocam. More...
Eina_Bool | elm_photocam_paused_get (const Evas_Object *obj)
| Get the paused state for photocam. More...
Evas_Object * | elm_photocam_internal_image_get (const Evas_Object *obj)
| Get the internal low-res image used for photocam. More...
void | elm_photocam_gesture_enabled_set (Evas_Object *obj, Eina_Bool gesture)
| Set the gesture state for photocam. More...
Eina_Bool | elm_photocam_gesture_enabled_get (const Evas_Object *obj)
| Get the gesture state for photocam. More...

## Detailed Description

Photocam is a widget meant specifically for displaying high-resolution digital camera photos, giving speedy feedback (fast load), zooming and panning as well as fitting logic, all with low memory footprint. It is entirely focused on jpeg images, and takes advantage of properties of the jpeg format (via Evas loader features in the jpeg loader).

Signals that you can add callbacks for are:

- `"clicked"` - This is called when a user has clicked the photo without dragging around.
- `"press"` - This is called when a user has pressed down on the photo.
- `"longpressed"` - This is called when a user has pressed down on the photo for a long time without dragging around.
- `"clicked,double"` - This is called when a user has double-clicked the photo.
- `"load"` - Photo load begins.
- `"loaded"` - This is called when the image file load is complete for the first view (low resolution blurry version).
- `"load,detail"` - Photo detailed data load begins.
- `"loaded,detail"` - This is called when the image file load is complete for the detailed image data (full resolution needed).
- `"zoom,start"` - Zoom animation started.
- `"zoom,stop"` - Zoom animation stopped.
- `"zoom,change"` - Zoom changed when using an auto zoom mode.
- `"scroll"` - the content has been scrolled (moved)
- `"scroll,anim,start"` - scrolling animation has started
- `"scroll,anim,stop"` - scrolling animation has stopped
- `"scroll,drag,start"` - dragging the contents around has started
- `"scroll,drag,stop"` - dragging the contents around has stopped
- `"focused"` - When the photocam has received focus. (since 1.8)
- `"unfocused"` - When the photocam has lost focus. (since 1.8)

This widget implements the elm-scrollable-interface interface, so that all (non-deprecated) functions for the base Scroller widget also work for photocam objects.

Some calls on the photocam's API are marked as deprecated, as they just wrap the scrollable widgets counterpart functions. Use the ones we point you to, for each case of deprecation here, instead – eventually the deprecated ones will be discarded (next major release).

Photocam example shows the API in action.

## Macro Definition Documentation

#define elm_obj_photocam_file_get | ( |  | ret | ) | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_FILE_GET), EO_TYPECHECK(const char **, ret)

Returns the path of the current image file.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_photocam_file_get

Referenced by elm_photocam_file_get().

#define elm_obj_photocam_file_set | ( |  | file,
|  |  | ret
| ) |  | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_FILE_SET), EO_TYPECHECK(const char *, file), EO_TYPECHECK(Evas_Load_Error *, ret)

Set the photo file to be shown.

Since
  1.8

Parameters

  [in] | file |
  [out] | ret |

See Also
  elm_photocam_file_set

Referenced by elm_photocam_file_set().

#define elm_obj_photocam_gesture_enabled_get | ( |  | ret | ) | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_GESTURE_ENABLED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Get the gesture state for photocam.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_photocam_gesture_enabled_get

Referenced by elm_photocam_gesture_enabled_get().

#define elm_obj_photocam_gesture_enabled_set | ( |  | gesture | ) | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_GESTURE_ENABLED_SET), EO_TYPECHECK(Eina_Bool, gesture)

Set the gesture state for photocam.

Since
  1.8

Parameters

  [in] | gesture |

See Also
  elm_photocam_gesture_enabled_set

Referenced by elm_photocam_gesture_enabled_set().

#define elm_obj_photocam_image_region_get | ( |  | x,
|  |  | y,
|  |  | w,
|  |  | h
| ) |  | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_IMAGE_REGION_GET), EO_TYPECHECK(int *, x), EO_TYPECHECK(int *, y), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)

Get the region of the image that is currently shown.

Since
  1.8

Parameters

  [out] | x |
  [out] | y |
  [out] | w |
  [out] | h |

See Also
  elm_photocam_image_region_get

Referenced by elm_photocam_image_region_get().

#define elm_obj_photocam_image_region_show | ( |  | x,
|  |  | y,
|  |  | w,
|  |  | h
| ) |  | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_IMAGE_REGION_SHOW), EO_TYPECHECK(int, x), EO_TYPECHECK(int, y), EO_TYPECHECK(int, w), EO_TYPECHECK(int, h)

Set the viewed region of the image.

Since
  1.8

Parameters

  [in] | x |
  [in] | y |
  [in] | w |
  [in] | h |

See Also
  elm_photocam_image_region_show

Referenced by elm_photocam_image_region_show().

#define elm_obj_photocam_image_size_get | ( |  | w,
|  |  | h
| ) |  | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_IMAGE_SIZE_GET), EO_TYPECHECK(int *, w), EO_TYPECHECK(int *, h)

Get the current image pixel width and height.

Since
  1.8

Parameters

  [out] | w |
  [out] | h |

See Also
  elm_photocam_image_size_get

Referenced by elm_photocam_image_size_get().

#define elm_obj_photocam_internal_image_get | ( |  | ret | ) | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_INTERNAL_IMAGE_GET), EO_TYPECHECK(Evas_Object **, ret)

Get the internal low-res image used for photocam.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_photocam_internal_image_get

Referenced by elm_photocam_internal_image_get().

#define elm_obj_photocam_paused_get | ( |  | ret | ) | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_PAUSED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Get the paused state for photocam.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_photocam_paused_get

Referenced by elm_photocam_paused_get().

#define elm_obj_photocam_paused_set | ( |  | paused | ) | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_PAUSED_SET), EO_TYPECHECK(Eina_Bool, paused)

Set the paused state for photocam.

Since
  1.8

Parameters

  [in] | paused |

See Also
  elm_photocam_paused_set

Referenced by elm_photocam_paused_set().

#define elm_obj_photocam_zoom_get | ( |  | ret | ) | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_ZOOM_GET), EO_TYPECHECK(double *, ret)

Get the zoom level of the photo.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_photocam_zoom_get

Referenced by elm_photocam_zoom_get().

#define elm_obj_photocam_zoom_mode_get | ( |  | ret | ) | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_ZOOM_MODE_GET), EO_TYPECHECK(Elm_Photocam_Zoom_Mode *, ret)

Get the zoom mode.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_photocam_zoom_mode_get

Referenced by elm_photocam_zoom_mode_get().

#define elm_obj_photocam_zoom_mode_set | ( |  | mode | ) | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_ZOOM_MODE_SET), EO_TYPECHECK(Elm_Photocam_Zoom_Mode, mode)

Set the zoom mode.

Since
  1.8

Parameters

  [in] | mode |

See Also
  elm_photocam_zoom_mode_set

Referenced by elm_photocam_zoom_mode_set().

#define elm_obj_photocam_zoom_set | ( |  | zoom | ) | ELM_OBJ_PHOTOCAM_ID(ELM_OBJ_PHOTOCAM_SUB_ID_ZOOM_SET), EO_TYPECHECK(double, zoom)

Set the zoom level of the photo.

Since
  1.8

Parameters

  [in] | zoom |

See Also
  elm_photocam_zoom_set

Referenced by elm_photocam_zoom_set().

## Typedef Documentation

typedef struct _Elm_Photocam_Error Elm_Photocam_Error

Structre associated with smart callback 'download,error'.

Since
  1.8

typedef struct _Elm_Photocam_Progress Elm_Photocam_Progress

Structure associated with smart callback 'download,progress'.

Since
  1.8

## Enumeration Type Documentation

enum Elm_Photocam_Zoom_Mode

Types of zoom available.

Enumerator
ELM_PHOTOCAM_ZOOM_MODE_MANUAL | Zoom controlled normally by elm_photocam_zoom_set.
ELM_PHOTOCAM_ZOOM_MODE_AUTO_FIT | Zoom until photo fits in photocam.
ELM_PHOTOCAM_ZOOM_MODE_AUTO_FILL | Zoom until photo fills photocam.
ELM_PHOTOCAM_ZOOM_MODE_AUTO_FIT_IN | Zoom in until photo fits in photocam.

## Function Documentation

Evas_Object* elm_photocam_add | ( | Evas_Object * | parent | ) |

Add a new Photocam object.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

EINA_DEPRECATED void elm_photocam_bounce_get | ( | const Evas_Object * | obj,
|  | Eina_Bool * | h_bounce,
|  | Eina_Bool * | v_bounce
| ) |  |

Get the photocam scrolling bouncing.

Parameters

  obj | The photocam object
  h_bounce | horizontal bouncing
  v_bounce | vertical bouncing

See Also
  elm_photocam_bounce_set()

Deprecated:
  Use elm_scroller_bounce_get() instead.

References elm_scrollable_interface_bounce_allow_get.

EINA_DEPRECATED void elm_photocam_bounce_set | ( | Evas_Object * | obj,
|  | Eina_Bool | h_bounce,
|  | Eina_Bool | v_bounce
| ) |  |

Set the photocam scrolling bouncing.

Parameters

  obj | The photocam object
  h_bounce | set this to `EINA_TRUE` for horizontal bouncing
  v_bounce | set this to `EINA_TRUE` for vertical bouncing

Deprecated:
  Use elm_scroller_bounce_set() instead.

References elm_scrollable_interface_bounce_allow_set.

const char* elm_photocam_file_get | ( | const Evas_Object * | obj | ) |

Returns the path of the current image file.

Parameters

  obj | The photocam object

Returns
  Returns the path

See Also
  elm_photocam_file_set()

References elm_obj_photocam_file_get.

Evas_Load_Error elm_photocam_file_set | ( | Evas_Object * | obj,
|  | const char * | file
| ) |  |

Set the photo file to be shown.

Parameters

  obj | The photocam object
  file | The photo file

Returns
  The return error (see EVAS_LOAD_ERROR_NONE, EVAS_LOAD_ERROR_GENERIC etc.)

This sets (and shows) the specified file (with a relative or absolute path) and will return a load error (same error that evas_object_image_load_error_get() will return). The image will change and adjust its size at this point and begin a background load process for this photo that at some time in the future will be displayed at the full quality needed.

References elm_obj_photocam_file_set.

Eina_Bool elm_photocam_gesture_enabled_get | ( | const Evas_Object * | obj | ) |

Get the gesture state for photocam.

Parameters

  obj | The photocam object

Returns
  The current gesture state

This gets the current gesture state for the photocam object.

See Also
  elm_photocam_gesture_enabled_set()

References elm_obj_photocam_gesture_enabled_get.

void elm_photocam_gesture_enabled_set | ( | Evas_Object * | obj,
|  | Eina_Bool | gesture
| ) |  |

Set the gesture state for photocam.

Parameters

  obj | The photocam object
  gesture | The gesture state to set

This sets the gesture state to on(EINA_TRUE) or off (EINA_FALSE) for photocam. The default is off. This will start multi touch zooming.

References elm_obj_photocam_gesture_enabled_set.

void elm_photocam_image_region_bring_in | ( | Evas_Object * | obj,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Bring in the viewed portion of the image.

Parameters

  obj | The photocam object
  x | X-coordinate of region in image original pixels
  y | Y-coordinate of region in image original pixels
  w | Width of region in image original pixels
  h | Height of region in image original pixels

This shows the region of the image using animation.

References elm_scrollable_interface_region_bring_in.

void elm_photocam_image_region_get | ( | const Evas_Object * | obj,
|  | int * | x,
|  | int * | y,
|  | int * | w,
|  | int * | h
| ) |  |

Get the region of the image that is currently shown.

Parameters

  obj |
  x | A pointer to the X-coordinate of region
  y | A pointer to the Y-coordinate of region
  w | A pointer to the width
  h | A pointer to the height

See Also
  elm_photocam_image_region_show()
  elm_photocam_image_region_bring_in()

References elm_obj_photocam_image_region_get.

void elm_photocam_image_region_show | ( | Evas_Object * | obj,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Set the viewed region of the image.

Parameters

  obj | The photocam object
  x | X-coordinate of region in image original pixels
  y | Y-coordinate of region in image original pixels
  w | Width of region in image original pixels
  h | Height of region in image original pixels

This shows the region of the image without using animation.

References elm_obj_photocam_image_region_show.

void elm_photocam_image_size_get | ( | const Evas_Object * | obj,
|  | int * | w,
|  | int * | h
| ) |  |

Get the current image pixel width and height.

Parameters

  obj | The photocam object
  w | A pointer to the width return
  h | A pointer to the height return

This gets the current photo pixel width and height (for the original). The size will be returned in the integers `w` and `h` that are pointed to.

References elm_obj_photocam_image_size_get.

Evas_Object* elm_photocam_internal_image_get | ( | const Evas_Object * | obj | ) |

Get the internal low-res image used for photocam.

Parameters

  obj | The photocam object

Returns
  The internal image object handle, or NULL if none exists

This gets the internal image object inside photocam. Do not modify it. It is for inspection only, and hooking callbacks to. Nothing else. It may be deleted at any time as well.

References elm_obj_photocam_internal_image_get.

Eina_Bool elm_photocam_paused_get | ( | const Evas_Object * | obj | ) |

Get the paused state for photocam.

Parameters

  obj | The photocam object

Returns
  The current paused state

This gets the current paused state for the photocam object.

See Also
  elm_photocam_paused_set()

References elm_obj_photocam_paused_get.

void elm_photocam_paused_set | ( | Evas_Object * | obj,
|  | Eina_Bool | paused
| ) |  |

Set the paused state for photocam.

Parameters

  obj | The photocam object
  paused | The pause state to set

This sets the paused state to on(EINA_TRUE) or off (EINA_FALSE) for photocam. The default is off. This will stop zooming using animation on zoom level changes and change instantly. This will stop any existing animations that are running.

References elm_obj_photocam_paused_set.

double elm_photocam_zoom_get | ( | const Evas_Object * | obj | ) |

Get the zoom level of the photo.

Parameters

  obj | The photocam object

Returns
  The current zoom level

This returns the current zoom level of the photocam object. Note that if you set the fill mode to other than ELM_PHOTOCAM_ZOOM_MODE_MANUAL (which is the default), the zoom level may be changed at any time by the photocam object itself to account for photo size and photocam viewport size.

See Also
  elm_photocam_zoom_set()
  elm_photocam_zoom_mode_set()

References elm_obj_photocam_zoom_get.

Elm_Photocam_Zoom_Mode elm_photocam_zoom_mode_get | ( | const Evas_Object * | obj | ) |

Get the zoom mode.

Parameters

  obj | The photocam object

Returns
  The current zoom mode

This gets the current zoom mode of the photocam object.

See Also
  elm_photocam_zoom_mode_set()

References elm_obj_photocam_zoom_mode_get.

void elm_photocam_zoom_mode_set | ( | Evas_Object * | obj,
|  | Elm_Photocam_Zoom_Mode | mode
| ) |  |

Set the zoom mode.

Parameters

  obj | The photocam object
  mode | The desired mode

This sets the zoom mode to manual or one of several automatic levels. Manual (ELM_PHOTOCAM_ZOOM_MODE_MANUAL) means that zoom is set manually by elm_photocam_zoom_set() and will stay at that level until changed by code or until zoom mode is changed. This is the default mode. The Automatic modes will allow the photocam object to automatically adjust zoom mode based on properties. ELM_PHOTOCAM_ZOOM_MODE_AUTO_FIT) will adjust zoom so the photo fits EXACTLY inside the scroll frame with no pixels outside this region. ELM_PHOTOCAM_ZOOM_MODE_AUTO_FILL will be similar but ensure no pixels within the frame are left unfilled.

References elm_obj_photocam_zoom_mode_set.

void elm_photocam_zoom_set | ( | Evas_Object * | obj,
|  | double | zoom
| ) |  |

Set the zoom level of the photo.

Parameters

  obj | The photocam object
  zoom | The zoom level to set

This sets the zoom level. 1 will be 1:1 pixel for pixel. 2 will be 2:1 (that is 2x2 photo pixels will display as 1 on-screen pixel). 4:1 will be 4x4 photo pixels as 1 screen pixel, and so on. The `zoom` parameter must be greater than 0. It is suggested to stick to powers of 2. (1, 2, 4, 8, 16, 32, etc.).

References elm_obj_photocam_zoom_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14